-
  I create a lead record to call a partner onchange, stage onchange and mailing opt-in onchange method.
-
  !record {model: crm.lead, id: crm_case_25}:
    name: 'Need more info about your pc2'
    partner_id: base.res_partner_2
    type: opportunity
    stage_id: crm.stage_lead1
    state: draft
-
  I create a lead record to call a mailing opt-out onchange method.
-
  !record {model: crm.lead, id: crm_case_18}:
    name: 'Need 20 Days of Consultancy'
    type: opportunity
    state: draft
    opt_out: True
-
  I create a phonecall record to call a partner onchange method.
-
  !record {model: crm.phonecall, id: crm_phonecall_5}:
    name: 'Bad time'
    partner_id: base.res_partner_5
-
  I set the next stage to "New" for the lead.
-
  !python {model: crm.lead}: |
    self.stage_next(cr, uid, [ref("crm_case_4")], context={'stage_type': 'lead'})
